set_property IOSTANDARD LVCMOS33 [get_ports {clk_sel[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {clk_sel[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {tgl_sel[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {tgl_sel[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports clk_in]
set_property IOSTANDARD LVCMOS33 [get_ports out_dt]
set_property IOSTANDARD LVCMOS33 [get_ports out_dt2]
set_property IOSTANDARD LVCMOS33 [get_ports out_start]
set_property IOSTANDARD LVCMOS33 [get_ports out_start2]
set_property IOSTANDARD LVCMOS33 [get_ports rstx]
#set_property IOSTANDARD LVCMOS33 [get_ports tgl_en]
#set_property PACKAGE_PIN D9 [get_ports tgl_en]
set_property PACKAGE_PIN C2 [get_ports rstx]
set_property PACKAGE_PIN E16 [get_ports out_start2]
set_property PACKAGE_PIN J5 [get_ports out_start]
set_property PACKAGE_PIN E15 [get_ports out_dt2]
set_property PACKAGE_PIN H5 [get_ports out_dt]
set_property PACKAGE_PIN E3 [get_ports clk_in]
set_property PACKAGE_PIN A8 [get_ports {tgl_sel[0]}]
set_property PACKAGE_PIN C11 [get_ports {tgl_sel[1]}]
set_property PACKAGE_PIN C10 [get_ports {clk_sel[0]}]
set_property PACKAGE_PIN A10 [get_ports {clk_sel[1]}]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 33 [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]
set_property CFGBVS VCCO [current_design]
set_property CONFIG_MODE SPIx4 [current_design]
###set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets clk0123]

set_case_analysis 1 [get_ports {clk_sel[0]}]
set_case_analysis 1 [get_ports {clk_sel[1]}]
#set_case_analysis 1 [get_ports {tgl_sel[0]}]
#set_case_analysis 1 [get_ports {tgl_sel[1]}]
#set_case_analysis 0 [get_ports tgl_en]

set_property -dict { PACKAGE_PIN C12   IOSTANDARD LVCMOS33 } [get_ports { vsns5v0_p  }]; #IO_L3P_T0_DQS_AD1P_15
set_property -dict { PACKAGE_PIN B12   IOSTANDARD LVCMOS33 } [get_ports { vsns5v0_n  }]; #IO_L3N_T0_DQS_AD1N_15
#set_property -dict { PACKAGE_PIN B16   IOSTANDARD LVCMOS33 } [get_ports { vsnsvu_p   }]; #IO_L7P_T1_AD2P_15
#set_property -dict { PACKAGE_PIN B17   IOSTANDARD LVCMOS33 } [get_ports { vsnsvu_n   }]; #IO_L7N_T1_AD2N_15

set_property -dict { PACKAGE_PIN F13   IOSTANDARD LVCMOS33 } [get_ports { isns5v0_p  }]; #IO_L5P_T0_AD9P_15 Sch=ad_p[9]
set_property -dict { PACKAGE_PIN F14   IOSTANDARD LVCMOS33 } [get_ports { isns5v0_n  }]; #IO_L5N_T0_AD9N_15 Sch=ad_n[9]
set_property -dict { PACKAGE_PIN A15   IOSTANDARD LVCMOS33 } [get_ports { isns0v95_p }]; #IO_L8P_T1_AD10P_15 Sch=ad_p[10]
set_property -dict { PACKAGE_PIN A16   IOSTANDARD LVCMOS33 } [get_ports { isns0v95_n }]; #IO_L8N_T1_AD10N_15 Sch=ad_n[10]


